<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateQuinquenniumsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('quinquenniums', function(Blueprint $table)
		{
			$table->engine = 'InnoDB';
			$table->increments('id');
			$table->date('start_date')->comment('Should use August 1 of the starting year');
			$table->date('end_date')->comment('Should use July 31 of the ending year');;
			$table->date('five_year_plan_due_date')->comment('Will only use day and month');
			$table->date('annual_plan_due_date')->comment('Will only use day and month');
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('quinquenniums');
	}

}
